=== zenitani/netinstall/aspell-fr/Makefile ===
# aspell-fr for CarbonEmacsPackage

# PACKAGE_PREFIX  = provided by net-installer
PACKAGE_BIN     = ${PACKAGE_PREFIX}/../MacOS/bin
UNAME          := $(shell uname -p)

all:
	tar jxvf GPL/aspell-fr-*.tar.bz2
	cd aspell-fr-* ; \
	PATH="${PACKAGE_BIN}:$$PATH" LANG=C LC_CTYPE=C LC_MESSAGES=C ./configure ; \
	PATH="${PACKAGE_BIN}:$$PATH" LANG=C LC_CTYPE=C LC_MESSAGES=C make install \
		datadir=${PACKAGE_PREFIX}/lib/aspell-${UNAME} \
		dictdir=${PACKAGE_PREFIX}/lib/aspell-${UNAME}

# end
