=== zenitani/netinstall/aspell-pt_BR/Makefile ===
# aspell-pt_BR for CarbonEmacsPackage

# PACKAGE_PREFIX  = provided by net-installer
PACKAGE_BIN     = ${PACKAGE_PREFIX}/../MacOS/bin
UNAME          := $(shell uname -p)

all:
	tar jxvf non-GPL/aspell6-pt_BR-*.tar.bz2
	cd aspell6-pt_BR-* ; \
	PATH="${PACKAGE_BIN}:$$PATH" LANG=C LC_CTYPE=C LC_MESSAGES=C ./configure ; \
	PATH="${PACKAGE_BIN}:$$PATH" LANG=C LC_CTYPE=C LC_MESSAGES=C make install \
		datadir=${PACKAGE_PREFIX}/lib/aspell-${UNAME} \
		dictdir=${PACKAGE_PREFIX}/lib/aspell-${UNAME}
	cp brasileiro.alias ${PACKAGE_PREFIX}/lib/aspell-${UNAME}/

# end
