=== zenitani/netinstall/bbdb/Makefile ===
# BBDB for CarbonEmacsPackage

# PACKAGE_PREFIX  = provided by net-installer
PACKAGE_BIN     = ${PACKAGE_PREFIX}/../MacOS/bin
PACKAGE_EMACS   = ${PACKAGE_PREFIX}/../MacOS/Emacs

all:
	tar zxvf src/bbdb-*.tar.gz
	cd bbdb-* ; \
	./configure --with-emacs=${PACKAGE_EMACS} ; \
	make bbdb info
	mkdir -p ${PACKAGE_PREFIX}/site-lisp/bbdb
	cp -p bbdb-*/lisp/*.{el,elc} ${PACKAGE_PREFIX}/site-lisp/bbdb/
	install -c bbdb-*/texinfo/bbdb.info ${PACKAGE_PREFIX}/info/
	cd ${PACKAGE_PREFIX}/info ; install-info bbdb.info dir

# end
