=== zenitani/netinstall/slime/Makefile ===
# SLIME for CarbonEmacsPackage

# PACKAGE_PREFIX = provided by net-installer
PACKAGE_EMACS   = ${PACKAGE_PREFIX}/../MacOS/Emacs
PACKAGE_SITEDIR	= ${PACKAGE_PREFIX}/site-lisp
PACKAGE_INFODIR	= ${PACKAGE_PREFIX}/info

ELISP_MAKE     	= make EMACS=${PACKAGE_EMACS} prefix=${PACKAGE_PREFIX}

all: 
	tar zxvf src/slime-*.tgz
	cd slime ; \
	${PACKAGE_EMACS} -q --no-site-file -batch --eval \
		'(progn (add-to-list (quote load-path) ".") (byte-recompile-directory "." 0))'
	cd  slime/doc ; \
		${ELISP_MAKE} infodir=${PACKAGE_INFODIR} install-info
	mkdir -p ${PACKAGE_SITEDIR}/slime
	cp -p slime/*.{el,elc}  ${PACKAGE_SITEDIR}/slime/
	cp -p slime/*.lisp ${PACKAGE_SITEDIR}/slime/

# end
