=== zenitani/netinstall/yatex/Makefile ===
# YaTeX for CarbonEmacsPackage (non-GPL freeware)

all: 
	tar zxvf non-GPL/yatex1.*.tar.gz
	cd yatex1.* && \
	DISPLAY=:0.0 make PREFIX="${PACKAGE_PREFIX}" EMACSDIR="${PACKAGE_PREFIX}" \
		install install-info
	cp -p yatex-init.el \
		"${PACKAGE_PREFIX}/site-lisp/site-start.d/"

# end
