=== debian/changelog ===
ess (5.13-1) unstable; urgency=low

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Feb 2011 16:10:05 -0600

ess (5.12-1) unstable; urgency=low

  * New upstream version released today

  * debian/emacen-startup: Follow suggestion by Kevin Ryde in #594750 and
    use debian-pkg-add-load-path-item as well; also improved emacsen-install
    script by using soft links instead of copies	(Closes: #594750)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 08 Nov 2010 16:52:27 -0600

ess (5.11-1) unstable; urgency=low

  * New upstream version released today

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 13 Jul 2010 11:50:00 -0500

ess (5.10-1) unstable; urgency=low

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 08 Jun 2010 05:29:06 -0500

ess (5.9.1-2) unstable; urgency=low

  * lisp/*: Upgraded to svn revision 5352 with a fix by Sebastian Luque
    for the XEmacs incompatibility			(Closes: #583857)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 04 Jun 2010 09:59:22 -0500

ess (5.9.1-1) unstable; urgency=low

  * New upstream version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 25 May 2010 09:02:10 -0500

ess (5.9-1) unstable; urgency=low

  * New upstream version released this morning

  * debian/control: Increased Standards-Version: to current version
  * debian/source/format: Added with value "1.0" to please lintian

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 May 2010 02:32:53 -0500

ess (5.8-1) unstable; urgency=low

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Mar 2010 06:25:04 -0600

ess (5.7.1-1) unstable; urgency=low

  * New upstream version released this afternoon

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 07 Dec 2009 16:50:32 -0600

ess (5.7-1) unstable; urgency=low

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 07 Dec 2009 06:29:02 -0600

ess (5.6-1) unstable; urgency=low

  * New upstream version released this morning

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 04 Dec 2009 11:46:57 -0600

ess (5.5-1) unstable; urgency=low

  * New upstream version released today

  * debian/control: Updated Depends: list by adding 'emacs23' to list
  * debian/control: Updated Homepage: URL to 'ess.r-project.org'

  * debian/control: Increased Standards-Version: to 3.8.1
    + debian/control: Added '${misc:Depends}' to Depends
    + debian/control: Added 'dpkg (>= 1.15.4) | install-info'

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 Oct 2009 09:31:55 -0500

ess (5.4-1) unstable; urgency=low

  * New upstream version released today

  * etc/config.guess: Switched to current version /usr/share/misc/config.guess

  * debian/control enhancements suggested by Debian bugreport #529914
  * debian/control: Increased Standards-Version: to 3.8.1
  * debian/control: Added Homepage: fields
  * debian/compat: Increased to level 7, increaded Build-Depends accordingly
  * debian/rules: Use dh_prep in cleaning step

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 08 Jun 2009 15:19:01 -0500

ess (5.3.11-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 Jan 2009 12:00:52 -0600

ess (5.3.10.1-1) unstable; urgency=low

  * New upstream release 5.3.10
  * This release is relabeled 5.3.10.1 as we used the 5.3.10 version number
    for the bugfix release which turns out to have been a pre-release.

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 12 Dec 2008 07:25:55 -0600

ess (5.3.10-2) unstable; urgency=low

  * Updated to SVN revision 4001 which addresses the bug report
    'ess: fails setting up' when no R version is present	(Closes: #507510)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 04 Dec 2008 09:25:16 -0600

ess (5.3.10-1) unstable; urgency=low

  * New upstream release

  * Closes open bug 'emacs warning on upgrade'			(Closes: #507299)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Nov 2008 20:39:02 -0600

ess (5.3.9~svn3950-1) unstable; urgency=low

  * New packages based on svn revision 3950 approaching release 5.3.9.

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 04 Oct 2008 18:41:09 -0500

ess (5.3.8~svn3917-1) unstable; urgency=low

  * New upstream version based on svn revision 3917 approaching release 5.3.8.

  * debian/rules: Add trailing slash to ess-etc-directory definition -- with
    thanks to Martin Maechler for finding this as the cause to SAS load issues

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 17 Jul 2008 19:16:57 -0500

ess (5.3.8~svn3902-1) unstable; urgency=low

  * debian/emacsen-install: Strengthen regular expression to only exclude
    ess.el. Thanks to Sebastian Luque for fixing the bug he reported! This now
    really fixed bug report 482351 addressed in the previous upload.

  * debian/watch: Updated URL and regular expression

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 May 2008 21:39:40 -0500

ess (5.3.8~svn3899-1) unstable; urgency=low

  * New upstream version based on svn revision 3899
  * lisp/Makefile: Add ess-eldoc to targets			(Closes: #482351)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 22 May 2008 06:13:36 -0500

ess (5.3.8~svn3895-1) unstable; urgency=low

  * New upstream version based on svn revision 3895 approaching release 5.3.8.

  * New maintainers: the package is now maintained by group of Ess and
    Debian developers that can be reached at ess-debian@r-project.org.
    Camm's many years of diligent maintenance are gratefully acknowledged.
  * The group repository is available at https://svn.R-project.org/ESS

  [ Stefan Theussl ]
  * debian/control: Change build-depends to texlive packages 	(Closes: #420945)
  * debian/emacsen-startup.el: Applied patch kindly supplied by Peter Galbraith
    to not load Ess when it has been purged 			(Closes: #440194)
  * Add details to copyright.

  [ Martin Maechler ]
  * doc/refcard/refcard.tex:  Switched to fullpage.sty		(Closes: #443462)

  [ Dirk Eddelbuettel ]

